buildroot/package/brltty/S10brltty
Mario Lang 679585bd61 brltty: new package
Signed-off-by: Mario Lang <mlang@blind.guru>
[Thomas:
 - wrap too long CONF_OPTS line that disables all the language
   bindings
 - use an intermediate BRLTTY_TEXT_TABLE variable to store the
   qstripped version of BR2_PACKAGE_BRLTTY_TEXT_TABLE.]
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
2017-12-17 11:21:54 +01:00

41 lines
582 B
Bash

#!/bin/sh
#
# brltty Starts brltty.
#
start() {
printf "Starting brltty: "
start-stop-daemon -S -q -p /var/run/brltty.pid \
--exec /usr/bin/brltty -- -P /var/run/brltty.pid "$@"
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping brltty: "
start-stop-daemon -K -q -p /var/run/brltty.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start "$@"
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
force-reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart|force-reload}"
exit 1
esac
exit $?